org.apache.lucene.store

## Class NoSuchDirectoryException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - java.io.FileNotFoundException
        - - org.apache.lucene.store.NoSuchDirectoryException

All Implemented Interfaces:
  Serializable

    public class NoSuchDirectoryException
    extends FileNotFoundException

This exception is thrown when you try to list a non-existent directory.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`NoSuchDirectoryException(String message)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### NoSuchDirectoryException

    public NoSuchDirectoryException(String message)